<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FLEXBOX EXERCISE</title>
    <style>
        html,
        body {
            margin: 0px;
            padding: 0px;
            font-family: Calibri;
            width: 100%;
            height: 100%;
        }
        #parent {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }
        #parent div {
            display: flex;
            justify-content: center;
            align-items: center;
        }
        #header {
            background: lightcyan;
            flex-basis: 100%;
            height: 100px;
            order: 1;
        }
        #left {
            background: lightpink;
            flex: 2;
            height: calc(100% - 150px);
            order: 2;
        }
        #main {
            background: lightskyblue;
            flex: 4;
            order: 4;
        }
        #right {
            background: lightsteelblue;
            flex: 1;
            order: 3;
        }
        #footer {
            background: grey;
            flex-basis: 100%;
            height: 50px;
            order: 5;
        }

        @media (max-width: 500px) {

            #left {
                flex: 1;
                height: 200px;
            }

            #right {
                flex: 1;
                height: 200px;
            }

            #main {
                flex: 100%;
                height: calc(100% - 350px);
            }

        }
    </style>
</head>

<body>
    <div id="parent">
        <div id="header">HEADER</div>
        <div id="left">LEFT</div>
        <div id="main">MAIN</div>
        <div id="right">RIGHT</div>
        <div id="footer">FOOTER</div>
    </div>
</body>

</html>